**Source URL:** https://limited.veevavault.dev/qualityone/vault-api/api-reference/26.1/binders/binding-rules/update-binder-document-binding-rule

# Update Binder Document Binding Rule

<Endpoint path="/api/{version}/objects/binders/{binder_id}/documents/{node_id}/binding_rule" method="PUT" />

## Headers

| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
| `{node_id}` | The binder node `id` field value. |
</FieldTable>

## Body Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `binding_rule__v`<Requiredness type="optional" /> | Indicates which binding rule to apply (which document versions to link to the section). Options are: `default` (bind to the latest available version (assumed if binding\_rule is blank)), `steady-state` (bind to latest version in a steady-state), `current` (bind to current version), or `specific` (bind to a specific version). |
| `major_version_number__v`<Requiredness type="optional" /> | If `binding_rule__v=specific`, then this is required and indicates the major version of the document to be linked. Otherwise it is ignored. |
| `minor_version_number__v`<Requiredness type="optional" /> | If `binding_rule__v=specific`, then this is required and indicates the major version of the document to be linked. Otherwise it is ignored. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "binding_rule__v=specific" \
-d "major_version_number__v=1" \
-d "minor_version_number__v=0" \
https://myvault.veevavault.com/api/v15.0/objects/binders/566/documents/1427491342404:-1828014479/binding_rule
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
  "responseStatus": "SUCCESS",
  "id": "1427491342404:-1828014479"
}
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault returns the Node ID of the updated document node within the binder

---

**Previous:** [Update Binder Section Binding Rule](/qualityone/vault-api/api-reference/26.1/binders/binding-rules/update-binder-section-binding-rule)  
**Next:** [Vault Objects](/qualityone/vault-api/api-reference/26.1/vault-objects)